curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/approval-policies/{approval_policy_id}/processes/{process_id}/steps \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"data": [
{
"approved_by": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_approval_count": 2,
"status": "waiting",
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"approval_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Retrieve a list of approval policy process steps.
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/approval-policies/{approval_policy_id}/processes/{process_id}/steps \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"data": [
{
"approved_by": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_approval_count": 2,
"status": "waiting",
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"approval_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Successful Response
Show child attributes
Was this page helpful?